require 'roxie/cli'
require 'rake'
require 'rake/tasklib'

module Roxie
  module Rake

    class Task < ::Rake::TaskLib

      attr_accessor :name

      attr_accessor :options

      attr_accessor :files

      attr_accessor :before

      attr_accessor :after

      def initialize(name = :roxie)
        @name = name
        @options = []
        @files = []

        yield self if block_given?

        define
      end

      def define
        desc "Generate documentation with Roxie"
        task(name) do
          before.call if before.is_a?(Proc)
          Roxie::CLI::Doc.start options + files.to_a
          after.call if after.is_a?(Proc)
        end
      end

    end

  end
end
